<?php
/**
 * Plugin Name: PIK Delivery
 * Description: PIK Delivery allows you to integrate your store as a businesses owner with PIK Delivery, you simple need to login using your pik business credentials
 * Author:      ReedTech IT Solutions
 * Version:     1.0.9
 * Author URI:  https://www.reed-tech.com
 * Plugin URI:  https://pikdelivery.com
 * Text Domain: pik-delivery
 * WC requires at least: 3.0.0
 * WC tested up to: 6.3.0
 */
 
if(!defined( 'ABSPATH' )) exit;

if (!function_exists('is_woocommerce_active')){
	function is_woocommerce_active(){
	    $active_plugins = (array) get_option('active_plugins', array());
	    if(is_multisite()){
		   $active_plugins = array_merge($active_plugins, get_site_option('active_sitewide_plugins', array()));
	    }
	    return in_array('woocommerce/woocommerce.php', $active_plugins) || array_key_exists('woocommerce/woocommerce.php', $active_plugins) || class_exists('WooCommerce');
	}
}

if(is_woocommerce_active()) {
	define('PIK_VERSION', '1.0.9');
	define('PIK_PREFIX', 'pik-delivery');
	!defined('PIK_BASE_NAME') && define('PIK_BASE_NAME', plugin_basename( __FILE__ ));
	!defined('PIK_PATH') && define('PIK_PATH', plugin_dir_path( __FILE__ ));
	!defined('PIK_URL') && define('PIK_URL', plugins_url( '/', __FILE__ ));
	// define('PIK_API_ROOT', 'http://localhost:5566/api/0.1');
	define('PIK_API_ROOT', 'https://newapi.pikdelivery.com/api/0.1');
	define( 'GOOGLE_MAP_API', 'https://maps.googleapis.com/maps/api/js?key=' );
	define('PIK_DEFAULT_VEHICLE', 'Moto');
	require plugin_dir_path( __FILE__ ) . 'includes/class-pik.php';

	function run_pik() {
		$plugin = new PIK();
	}
	run_pik();
}
