<!-- // echo '<p><strong>' . __('Order Shipped with PIK Delivery') . '</strong> ' . '</p>';
				// echo '<p><strong>' . __('Order Synced') . ':</strong> ' . ($synced == true ? 'Yes' : 'No') . '</p>';
				// echo '<p><strong>' . __('PIK Reference ID') . ':</strong> ' . $reference . '</p>'; -->
<?php add_thickbox(); ?>
<p>
    <strong>
        <?php echo  __('Order Shipped with PIK Delivery'); ?>
    </strong>
</p>
<p>
    <strong> <?php echo  __('Order Synced'); ?>:</strong> <?php echo  ($synced == true ? 'Yes' : 'No') ?>
</p>
<p>
    <strong> <?php echo  __('PIK Reference ID'); ?>:</strong> <?php echo  $reference ?>
</p>

<!-- Start Order Modal -->
<div id="start-order-modal" style="display:none;">
    <div style=" text-align: center">  
        <?php if(!empty($orderStatus)) {?>
            <div>
                    <p>
                        This already exists on PIK Delivery.
                    </p>
                    <p>
                        Order ID: <a href="https://app.pikdelivery.com/order/<?php echo $orderId ?>" target="_blank"><?php echo $orderId ?></a> 
                    </p>
            </div> 
            <?php } else { ?> 
                <p>
                    <div>Para gestionar los métodos de pago por favor ingrese en <a target='_blank' href="https://app.pikdelivery.com/">Pik Business</a></div>
                </p>
                <select name="create_credit_card" id="create_credit_card" class="regular-text">
                    <option value=''>Select Credit Card ...</option>
                    <?php foreach($creditCards as $c) { ?>
                        <option value="<?php echo $c['id'] ?>"><?php echo $c['cc_number'] ?></option>
                    <?php } ?>
                </select>
                <div class="text-center" style="margin-top: 20px">
                    <input id="create_order_submit" type="button" name="submit" class="button button-primary" value="<?php _e('Iniciar Envío', PIK_PREFIX); ?>" />
                </div>
            <?php } ?>
    </div>
</div>


<!-- Schedule Order Modal  -->
<div id="schedule-order-modal" style="display:none;">
    <div style=" text-align: center">  
        <?php if(!empty($orderStatus) && $orderStatus == 'create') {?>
            <div>
                    <p>
                        This already exists on PIK Delivery.
                    </p>
                    <p>
                        Order ID: <a href="https://app.pikdelivery.com/order/<?php echo $orderId ?>" target="_blank"><?php echo $orderId ?></a> 
                    </p>
            </div> 
            <?php } else { ?>

                <?php if(!empty($orderId)) { ?> 
                    <p>
                        Order ID: <a href="https://app.pikdelivery.com/order/<?php echo $orderId ?>" target="_blank"><?php echo $orderId ?></a> 
                    </p>
                <?php } ?>
                <p class="">
                    <label for="pik_schedule_date">Schedule Date/Time:</label> <br /> <br />
                    <!-- value="2022-07-25"  -->
                    <input value="<?php echo !empty($scheduleDate) ? $scheduleDate : '' ?>" type="text" class="date-picker" placeholder="Date" id="pik_schedule_date" name="pik_schedule_date" maxlength="10" pattern="[0-9]{4}-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[01])"> @
                    <input value="<?php echo !empty($scheduleHour) ? $scheduleHour : '' ?>" type="number" class="hour" placeholder="H" name="pik_schedule_hour" id="pik_schedule_hour" min="8" max="20" step="1"  pattern="([01]?[0-9]{1}|2[0-3]{1})" onkeypress="return false" >:
                    <input value="<?php echo !empty($scheduleMinute) ? $scheduleMinute : '' ?>" type="number" class="minute" placeholder="M" name="pik_schedule_minute" id="pik_schedule_minute" min="0" max="30" step="30"  pattern="[0-5]{1}[0-9]{1}" onkeypress="return false" >
                </p> 
                <div>Para gestionar los métodos de pago por favor ingrese en <a target='_blank' href="https://app.pikdelivery.com/">Pik Business</a></div >
                <br />
                <select name="schedule_credit_card" id="schedule_credit_card" class="regular-text">
                    <option value=''>Select Credit Card ...</option>
                    <?php foreach($creditCards as $c) { ?>
                        <option value="<?php echo $c['id'] ?>"><?php echo $c['cc_number'] ?></option>
                    <?php } ?>
                </select>
                <div class="text-center" style="margin-top: 20px">
                    <input id="schedule_order_submit" type="button" name="submit" class="button button-primary" value="<?php echo !empty($orderId) ? "Update Schedule" : "Programar envío" ?>" />
                    <?php if(!empty($orderId)) { ?>
                        <input id="schedule_order_cancel" type="button" name="submit" class="button button-danger" value="Cancel Schedule" />
                    <?php } ?>
                </div>
            <?php } ?>
    </div>
</div>

<a href="#TB_inline?&width=400&height=<?php  !empty($orderId) ? 150 : 200 ?>&inlineId=start-order-modal" class="thickbox button button-primary">Iniciar Envío</a>
<a href="#TB_inline?&width=400&height=<?php  !empty($orderId) ? 150 : 300 ?>&inlineId=schedule-order-modal" class="thickbox button button-primary">Programar envío</a>